package com.common.bluetooth.callback

import android.bluetooth.le.ScanCallback
import android.bluetooth.le.ScanResult

/**
 * 扫描结果回调
 *
 * @author wangym
 * @since 2021-11-9
 */
open class BtScanCallBack : ScanCallback() {
    /**
     * 搜索结束
     */
    open fun onComplete() {}

    /**
     * 搜索报错
     * @param msg 错误信息
     */
    open fun onError(msg: String?) {}

    /**
     * 搜索结果
     * @param result 搜索结果
     */
    open fun onResult(result: ScanResult?) {}
}